import 'package:flutter/material.dart';
import 'package:vbvs_app/common/util/MyUtils.dart';

class AppColors {
  // 定义颜色常量
  static const Color text_selected_color = Color(0xFFD3B684); //选中文本
  static const Color text_default_color = Color(0xFFFFFFFF); //默认文本

  static const Color button_active_color = Color(0xFFD3B684); //可点击按钮
  static const Color button_inactive_color = Color(0xFFD3D3D3); //不可点击按钮
  static const Color bg_color = Color(0xFF000750); //背景色
  static const Color input_bg_color = Color(0xFFF3F5F6); //输入框背景色
  static const Color input_hint_text_color = Color(0xFFF3F5F6); //hinttext
  static const Color input_split_color = Color(0xFFF3F5F6); //分隔符
  static const Color textColor = Color(0xFF333333); //普通文本

  static const Color buttonColor = Color(0xFF03A9F4);
  static const Color borderColor = Color(0xFFE0E0E0);
  static const Color errorColor = Color(0xFFB00020);

  Color check_Color = stringToColor('#409EFF');
  Color repair_Color = stringToColor('#409EFF');
  Color finish_Color = stringToColor('#71E2A3');
  Color unOp_Color = stringToColor('#FF4949');

  Color press_color = stringToColor("#eaeaea");
}
